#include <iostream>
 
/*
 * Bartosz "WiedMAC" Bednarczyk
 * Liceum Oglnoksztacce im. Wadysawa Broniewskiego w Strzelcach Opolskich
 * Iteracyjne obliczanie wartoci Symbolu Newtona ( C++ )
 * www.algorytm.org
 */
 
unsigned long long Newton( unsigned int n, unsigned int k)      // Funkcja obliczajca symbol newtona
{
        double Wynik = 1;       // Deklaracja zmiennej ( uywamy double dla dokadnoci oblicze )
        
        for( unsigned int i = 1; i <= k; i++)   // Od 1 do k wykonujemy : 
        {
                Wynik = Wynik * ( n - i + 1 ) / i;      // Obliczanie ze wzoru iteracyjnego
        }
        
        return (unsigned long long) Wynik;      // Zwr Wynik
}
 
int main(void) 
{
        unsigned int n, k;
        
        std::ios_base::sync_with_stdio(false);  // Przypieszanie I/O
        
        std::cin >> n >> k;     // Wczytywanie liczb
        
        if( k == 0 || k == n ) std::cout << "1";        // Jeeli k = 0 lub k = n to wypisz 1
        else std::cout << Newton(n, k);                 // W przeciwnym wypadku oblicz warto symbolu newtona        
                 
        return 0;
}